LMDE BREAKAGES - tracking TESTING

Archived topics about LMDE 1 and LMDE 2
Locked
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by zerozero »

viking777 wrote: BTW this thread is for testing - confusing isn't it. How new users cope with it I shall never know!
confusing?! nahh :lol:
- 3 different sets of repos (well maybe 4/5 if you consider sid/experimental)
- 2 DE's, soon to become 3 and shortly 4 (flux and KDE are in the way)
confusing? tell me about :shock:
Image

[ bliss of ignorance ]
ghostdawg
Level 1
Level 1
Posts: 39
Joined: Sat Jun 25, 2011 7:04 pm
Location: USA (MO)

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by ghostdawg »

What do most of you run from cli when it comes to updating, aptitude full-upgrade or aptitude safe-upgrade?

I'm just curious.

This is my source list, what do you think of it? This is the default sources. Any suggestions/ideas?

$ cat /etc/apt/sources.list
deb http://packages.linuxmint.com/ debian upstream import main
deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free

# deb-src http://mentors.debian.net/debian unstable main contrib non-free

Thnx.
User avatar
tdockery97
Level 14
Level 14
Posts: 5060
Joined: Sun Jan 10, 2010 8:54 am
Location: Mt. Angel, Oregon

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by tdockery97 »

ghostdawg wrote:What do most of you run from cli when it comes to updating, aptitude full-upgrade or aptitude safe-upgrade?

I'm just curious.

Thnx.
I personally run the following:

Code: Select all

sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade
Doing it that way makes sure that everything is upgraded in the right order; upgrades without needed dependencies are held back until those dependencies are satisfied. I still haven't had a major breakage in the past year.
Mint Cinnamon 20
GeneC
Level 7
Level 7
Posts: 1598
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by GeneC »

viking777 wrote:
BTW this thread is for testing - confusing isn't it. How new users cope with it I shall never know!
It shouldn't be confusing.
People are not paying attention to "...Tracking TESTING..."

This thread is for people tracking "TESTING" repo only.
Not tracking "incoming", "latest", SID, experimental, et.
There are other appropriate thread for those.
roger64
Level 4
Level 4
Posts: 274
Joined: Wed Jun 01, 2011 5:48 am

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by roger64 »

GeneC wrote:
viking777 wrote:
BTW this thread is for testing - confusing isn't it. How new users cope with it I shall never know!
It shouldn't be confusing.
People are not paying attention to "...Tracking TESTING..."

This thread is for people tracking "TESTING" repo only.
Not tracking "incoming", "latest", SID, experimental, et.
There are other appropriate thread for those.
I just understood today the meaning of tracking (I'm a bloody foreigner). Since I was tracking latest, I thought also indirectly I was tracking testing - only with a little delay. I'll be careful never to reproduce such a heavy mistake. Sorry and thanks for your explanations. :D
GeneC
Level 7
Level 7
Posts: 1598
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by GeneC »

roger64

Sorry if I sounded gruff. :)
It wasn't meant directly at you.
There are many such posts making it hard to follow this thread.


Here is a link to a thread to post problems with " Latest"
http://forums.linuxmint.com/viewforum.php?f=186

OR
Tracking "Incoming Testing"
http://forums.linuxmint.com/viewforum.php?f=187
User avatar
xircon
Level 5
Level 5
Posts: 768
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by xircon »

Todays update, inc Fglrx, installed all OK - just thought I would report :)

Code: Select all

Start-Date: 2011-09-15  16:40:21
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 60817441 -o Synaptic::closeZvt=true --progress-str Please wait, this can take some time --finish-str Update is complete --set-selections-file /tmp/tmpHbij0P
Install: xfce4-notifyd:amd64 (0.2.2-1, automatic), libgl1-fglrx-glx:amd64 (11-8-2, automatic), dpkg-ruby:amd64 (0.3.7, automatic), libfglrx-ia32:amd64 (11-8-2, automatic), libfglrx:amd64 (11-8-2, automatic)
Upgrade: xfce4-timer-plugin:amd64 (0.6.1-4, 0.6.2-1), libaudiofile-dev:amd64 (0.2.6-8, 0.2.7-0.1), xfce4-fsguard-plugin:amd64 (1.0.0-1, 1.0.0-2), fglrx-modules-dkms:amd64 (11-8-1, 11-8-2), xfce4-goodies:amd64 (4.8.1, 4.8.2), fglrx-atieventsd:amd64 (11-8-1, 11-8-2), ed:amd64 (1.5-1, 1.5-3), xfce4:amd64 (4.8.0.2, 4.8.0.3), libdpkg-ruby1.8:amd64 (0.3.6+nmu1, 0.3.7), ristretto:amd64 (0.0.93-2, 0.0.93-3), xfwm4:amd64 (4.8.1-3, 4.8.1-4), apache2.2-bin:amd64 (2.2.19-2, 2.2.20-1), xfce4-battery-plugin:amd64 (1.0.0-2, 1.0.0-3), xindy-rules:amd64 (2.4-1, 2.4-1.1), xindy:amd64 (2.4-1, 2.4-1.1), fglrx-glx:amd64 (11-8-1, 11-8-2), squid-langpack:amd64 (20110707-1, 20110902-1), google-chrome-beta:amd64 (14.0.835.162-r100637, 14.0.835.163-r101024), gtk2-engines-xfce:amd64 (2.8.1-2, 2.8.1-3), xfce4-utils:amd64 (4.8.2-2, 4.8.2-3), radeontool:amd64 (1.6.1-1, 1.6.2-1), fglrx-driver:amd64 (11-8-1, 11-8-2), fglrx-control:amd64 (11-8-1, 11-8-2), fglrx-glx-ia32:amd64 (11-8-1, 11-8-2), fglrx-source:amd64 (10-9-3, 11-8-2), xfce4-dict:amd64 (0.6.0-4, 0.6.0-5), libaudiofile0:amd64 (0.2.6-8, 0.2.7-0.1)
End-Date: 2011-09-15  16:46:02
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
Spec-chum
Level 1
Level 1
Posts: 48
Joined: Tue May 31, 2011 3:22 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by Spec-chum »

Confirmed. Did full du on an ATI system, held nothing back and all installed and running perfectly :). Seems the gl symlink issue is resolved.
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by zerozero »

anyone using pidgin?
since last update to

Code: Select all

pidgin:
  Installed: 2.10.0-1+b1
  Candidate: 2.10.0-1+b1
  Version table:
 *** 2.10.0-1+b1 0
        500 http://ftp.debian.org/debian/ testing/main amd64 Packages
        100 /var/lib/dpkg/status
i was again hit by this old bug http://www.google.co.uk/search?source=i ... 3.5.3l11l0 that hasn't been around here for long;

now, workaround, if i start

Code: Select all

pidgin -f
it connects fine to my msn account, but fails the gmail one (doesn't even see it) and in these conditions it is as useful as any other IM;
anyone knows a way around this? not downgrade, i don't like to go backwards :lol:
Image

[ bliss of ignorance ]
User avatar
xircon
Level 5
Level 5
Posts: 768
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by xircon »

Just set Google talk up in Pidgin, I occasionally use MSN, seems to be OK, but I don't know anyone who uses it to test :D But email notifications are working.
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
nimbvs
Level 1
Level 1
Posts: 22
Joined: Fri May 06, 2011 3:30 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by nimbvs »

After the Pidgin update to v. 2.10.0, I too can't connect and it says "Waiting for network connection". If I disable and then re-enable the accounts they connect. You can run pidgin with the --force parameter and it will connect fine.

There's also Debian bug #642117 reported about this issue.

It seems this is happening because Pidgin 2.10 doesn't work well with network-manager < 0.9 (in testing there's still network-manager 0.8.4, which I also have installed).

So all we have to do is patiently wait for the new network-manager to land in testing (or force an install from unstable, which I won't do just yet).
User avatar
xircon
Level 5
Level 5
Posts: 768
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by xircon »

Ah, I use WICD not network manager :)
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by zerozero »

pidgin is solved for now :lol: with xircon's advise gmail is working
Image

[ bliss of ignorance ]
User avatar
Gerd50
Level 5
Level 5
Posts: 734
Joined: Wed Jul 22, 2009 3:42 pm
Location: Fishtown, Germany

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by Gerd50 »

Todays update wants to remove some pks i don't want to be removed

Code: Select all

Die folgenden Pakete werden ENTFERNT:    (the following pks will be removed)
  ffmpeg libasound2-plugins libavcodec53 libavdevice53 libavfilter2
  libavformat53 libavutil51 libpostproc51 libswscale2 libxine1-ffmpeg
  libxine1-plugins winff winff-doc
Die folgenden NEUEN Pakete werden installiert:   (the following pks will be installed)
  libavcodec-extra-53 libavutil-extra-51 libp11-kit0 libpostproc-extra-52
  ntrack-module-libnl-0
Die folgenden Pakete sind zurückgehalten worden:
  gstreamer0.10-plugins-ugly
Die folgenden Pakete werden aktualisiert (Upgrade):
  libdvdnav4 libgnutls26 libgpg-error-dev libgpg-error0 libntrack-qt4-1
  libntrack0 libphonon4 libssl1.0.0 libvisual-0.4-plugins libxine1
  libxine1-bin libxine1-console libxine1-misc-plugins libxine1-x openssl
  phonon ttf-lyx unetbootin unetbootin-translations
19 aktualisiert, 5 neu installiert, 13 zu entfernen und 1 nicht aktualisiert.
Es müssen 15,0 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 13,0 MB Plattenplatz freigegeben.
Möchten Sie fortfahren [J/n]? n
It's one of the seldom updates i hit no instead of yes because at first i'm unsecure what to do. What i don't understand is,
ten minutes ago i updated my Debian testing system and there only the pks marked as Upgrade were updated. Nothing
was marked for to be removed or newly installed.
I believe in everything, except humans.

LM9, Debian Testing Xfce, Debian Sid Xfce - CPU/Amd64 2,6Ghz, Graphics/Nvidia 9600 GT, Sound/SB Audigy4 emu10K1
User avatar
xircon
Level 5
Level 5
Posts: 768
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by xircon »

+1 here, appears to be caused by xine. I selectively installed everything else using mintupdate:

Code: Select all

sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages have been kept back:
  cairo-dock cairo-dock-plug-ins libxine-dev libxine1 libxine1-bin libxine1-console libxine1-ffmpeg libxine1-gnome libxine1-misc-plugins libxine1-plugins libxine1-x
The following packages will be upgraded:
  ffmpeg libavcodec53 libavdevice53 libavfilter2 libavformat-dev libavformat53 libavutil-dev libavutil51 libpostproc51 libswscale2 opera
11 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
Need to get 16.5 MB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? 
:Edit: May have misread that :) Will check it later properly, on the way out.
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
Gerd50
Level 5
Level 5
Posts: 734
Joined: Wed Jul 22, 2009 3:42 pm
Location: Fishtown, Germany

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by Gerd50 »

You are right xircon, it's xine. I took a look over to Debian Testing, there libxine1-ffmpeg and libxine1-plugins were not
installed. I removed this pks in LMDE now, updated again and it seems to be ok now:

Code: Select all

Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden NEUEN Pakete werden installiert:   (newly installed)
  libp11-kit0 ntrack-module-libnl-0
Die folgenden Pakete sind zurückgehalten worden:   (kept back)
  gstreamer0.10-plugins-ugly
Die folgenden Pakete werden aktualisiert (Upgrade):
  ffmpeg libavcodec53 libavdevice53 libavfilter2 libavformat53 libavutil51
  libdvdnav4 libgnutls26 libgpg-error-dev libgpg-error0 libntrack-qt4-1
  libntrack0 libphonon4 libpostproc51 libssl1.0.0 libswscale2
  libvisual-0.4-plugins libxine1 libxine1-bin libxine1-console
  libxine1-misc-plugins libxine1-x openssl phonon ttf-lyx unetbootin
  unetbootin-translations
27 aktualisiert, 2 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
Es müssen 16,8 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 664 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]? j
I believe in everything, except humans.

LM9, Debian Testing Xfce, Debian Sid Xfce - CPU/Amd64 2,6Ghz, Graphics/Nvidia 9600 GT, Sound/SB Audigy4 emu10K1
User avatar
xircon
Level 5
Level 5
Posts: 768
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by xircon »

I will tell you something else! - When I ran mintupdate first thing it definately wanted to remove ffmpeg and a load of other stuff, now it doesn't, I thought I was imagining things :shock: Hence the edit to my earlier post. The Debian Elves must have been furtling away whilst I was selectively install stuff to isolate the problem :D

:Edit: Forget it, it is dist-upgrade that cocks it up:

Code: Select all

sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  arista ffmpeg ffmpeg2theora gstreamer0.10-ffmpeg gstreamer0.10-plugins-really-bad libasound2-plugins libavcodec53 libavdevice53 libavfilter2 libavformat-dev
  libavformat53 libavutil-dev libavutil51 libmjpegtools-2.0-0 libpostproc51 libquicktime-dev libquicktime2 libswscale2 libxine1-ffmpeg libxine1-plugins miro mjpegtools
  mozilla-plugin-vlc nautilus-arista plexydesk quicktime-utils quicktime-x11utils transcode vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse winff winff-doc xine-ui
The following NEW packages will be installed:
  libavcodec-extra-53 libavformat-extra-53 libavutil-extra-51 libpostproc-extra-52 libswscale-extra-2
The following packages will be upgraded:
  libxine-dev libxine1 libxine1-bin libxine1-console libxine1-gnome libxine1-misc-plugins libxine1-x
7 upgraded, 5 newly installed, 35 to remove and 0 not upgraded.
Need to get 6,268 kB of archives.
After this operation, 58.2 MB disk space will be freed.
Do you want to continue [Y/n]? 
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by zerozero »

i don't have any libxine* in the DU, that's possible why mine is clean

Code: Select all

Calculating upgrade... Done
The following NEW packages will be installed:
  libp11-kit0
The following packages will be upgraded:
  libavcodec53 libavformat53 libavutil51 libdvdnav4 libgnutls26 libgpg-error0
  libpostproc51 libssl1.0.0 libswscale2 libvisual-0.4-plugins openssl
11 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Image

[ bliss of ignorance ]
User avatar
Gerd50
Level 5
Level 5
Posts: 734
Joined: Wed Jul 22, 2009 3:42 pm
Location: Fishtown, Germany

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by Gerd50 »

I don't have a clue when and why libxine pks were installed on my system. Maybe some month ago when i needed winff.
Fact is libxine1-ffmpeg and libxine1-plugins should be removed in these days if they are installed and a successfull upgrade
is wanted.
Last edited by Gerd50 on Thu Sep 22, 2011 3:39 pm, edited 1 time in total.
I believe in everything, except humans.

LM9, Debian Testing Xfce, Debian Sid Xfce - CPU/Amd64 2,6Ghz, Graphics/Nvidia 9600 GT, Sound/SB Audigy4 emu10K1
User avatar
xircon
Level 5
Level 5
Posts: 768
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: LMDE BREAKAGES - tracking Testing - read here first-10/

Post by xircon »

Problem with xine appears to be fixed, but dnet-common may cause some problems - best to leave unconfigured.
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
Locked

Return to “LMDE Archive”